/*
 * Copyright 2011-2012 Red Hat, Inc.
 *
 * This file is part of HekaFS.
 *
 * HekaFS is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License, version 3, as published by the Free
 * Software Foundation.
 *
 * HekaFS is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License *
 * along with HekaFS.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __CLIENT_MEM_TYPES_H__
#define __CLIENT_MEM_TYPES_H__

#include "mem-types.h"

enum gf_client_mem_types_ {
        gf_client_mt_clnt_conf_t = gf_common_mt_end + 1,
        gf_client_mt_clnt_local_t,
        gf_client_mt_clnt_req_buf_t,
        gf_client_mt_clnt_fdctx_t,
        gf_client_mt_clnt_lock_t,
        gf_client_mt_end,
};
#endif /* __CLIENT_MEM_TYPES_H__ */
